Bug 479127 - RFE: yum shell should process --args like --security
RFE: yum shell should process --args like --security
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 08:24 EST by Patrick Van Gilst
Modified: 2014-01-21 18:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 06:49:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Van Gilst 2009-01-07 08:24:34 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; fr; rv:1.9.0.5) Gecko/2008121622 Ubuntu/8.04 (hardy) Firefox/3.0.5

Since upgrading yum to 3.2.20-5, yum shell fails whith lines containing arguments like --security.
Before this upgrade, I was using yum-cron and yum-security to daily update security relevant updates and some other packages like this:

# cat /etc/yum/yum-daily.yum
---
update firefox thunderbird flash-plugin AdobeReader_fra java-* openssh* openssl yum-security
update --security
ts run
exit
---

yum-cron uses yum shell tu execute this script.
If i run yum update --security, there is no probleme:
# yum update --security
Modules complémentaires chargés : allowdowngrade, changelog, downloadonly, refresh-packagekit, security
Configuration du processus de mise à jour
Aucun paquetage marqué pour mise à jour

But if I run yum shell whith the file above I've got an error:
# yum shell /etc/yum/yum-daily.yum
Modules complémentaires chargés : allowdowngrade, changelog, downloadonly, refresh-packagekit, security
Configuration du shell Yum
Configuration du processus de mise à jour
Configuration du processus de mise à jour
Aucune correspondance pour l'argument : --security
No package --security available.
Leaving Shell

I didn't see this error message before upgrading yum.



Reproducible: Always

Steps to Reproduce:
1.Install yum-security
2.Create a file sample.txt containing:
update --security
ts run
exit
3.run "yum shell sample.txt"
Actual Results:  
This message:
No Match for argument: --security
No package --security available.
Leaving Shell


Expected Results:  
Should have searched for security updates.

Reproduced on fedora 8, fedora 9 and fedora 10
Comment 1 James Antill 2009-01-07 10:54:06 EST
Actually this has never worked, the new code is just pointing it out to you.

On 3.2.19 and 3.2.20-5+ try:

yum shell <<EOL
update alfjdlakjflkamflamflakmf
EOL

...the 3.2.19 doesn't say anything, but they are both doing the same thing (nothing).
 I'll move this to a feature request for rawhide, but it's probably not going to be available until at least Fedora 11.
Comment 2 Mitch Skinner 2009-02-05 18:15:33 EST
FWIW - I switched from yum-updatesd to yum-cron because I thought it would give me this functionality (automated security-only updates); if yum-updatesd gets it, that would solve the problem as far as I'm concerned.
Comment 3 Juan P. Daza P. 2009-12-08 20:53:40 EST
Thank you for the bug report. This particular bug was fixed and a update package was published for download for this Fedora release. 

You can obtain the updated package by typing 'yum update yum' or using the graphical updater, Software Update. Please feel free to report any further bugs you find, or make further reports if this bug is not fixed after you install the update. 

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Andrew Roth 2010-12-08 06:49:57 EST
Bug Closed as this was updated for the current release.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.